import { Plugin } from '@stencil/core/internal';
import { Config } from 'tailwindcss';
export interface PostcssPlugin {
    plugins: any[];
}
export declare type TailwindConfig = Config;
export declare type TailwindPluginFunctionalConfig = ((filename: string, config: TailwindConfig) => TailwindConfig);
export declare type TailwindPluginConfig = TailwindConfig | TailwindPluginFunctionalConfig;
export interface PluginConfigOpts {
    enableDebug?: boolean;
    tailwindCssPath?: string;
    tailwindCssContents?: string;
    tailwindConf?: TailwindPluginConfig;
    stripComments?: boolean;
    minify?: boolean;
    postcss?: string | PostcssPlugin;
    useAutoPrefixer?: boolean;
}
export interface PluginConfigOptsDefaults {
    DEFAULT: PluginConfigOpts;
}
export declare const PluginOpts: PluginConfigOptsDefaults;
export default function tailwindPlugin(opts?: PluginConfigOpts): Plugin;
export declare function setPluginConfigurationDefaults(opts: PluginConfigOpts): PluginConfigOpts;
export declare function tailwindHMR(opts?: PluginConfigOpts): Plugin;
export declare function tailwindGlobal(opts?: PluginConfigOpts): Plugin;
